#
# spec file for package perl-Module-Load (Version 0.27)
#
# packages are under the same license as the package itself.
#
# Please submit bugfixes or comments to dirk.hartmann@sitter-net.de


# norootforbuild

Name:         perl-Sys-MemInfo
Version:      0.91
Release:      1.0
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      GPL-2.0+
Summary:      Sys::MemInfo - Memory informations
URL:          http://search.cpan.org/~scresto/Sys-MemInfo-0.91/MemInfo.pm
Source:       Sys-MemInfo-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildRequires:perl-macros
%{perl_requires}

%description
Sys::MemInfo return the total amount of free and used physical memory in bytes in totalmem and freemem variables.
Total amount of free and user swap memory are alse returned in totalswap and freeswap variables.

Authors:
--------
    Sylvain Cresto <scresto@gmail.com>

%debug_package
%prep
%setup -n Sys-MemInfo
# ---------------------------------------------------------------------------

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

# ---------------------------------------------------------------------------

%check
%{__make} test

# ---------------------------------------------------------------------------

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc MANIFEST README

%changelog
* Thu Aug  4 2016 monex@liquid-co.de
- Initial Version
